
  <!DOCTYPE html>
  <html>
    <head>
      <title>notifications.ts</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/components/notifications.ts</td><td class="">100.00%</td><td class="">80%</td><td class="">31</td><td class="">31</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import Noty from &#x27;noty&#x27;;

const commonOptions: Noty.Options = {
  theme: &#x27;metroui&#x27;,
  progressBar: false
};

export const NOTY_TIMEOUT = 3000;

export const createInfoNotification = (options: Noty.Options) =&gt; {
  return new Noty({ type: &#x27;info&#x27;, ...commonOptions, ...options });
};

export const createErrorNotification = (options: Noty.Options) =&gt; {
  return new Noty({ type: &#x27;error&#x27;, ...commonOptions, ...options });
};

export const createSuccessNotification = (options: Noty.Options) =&gt; {
  return new Noty({ type: &#x27;success&#x27;, ...commonOptions, ...options });
};
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  